package com.fuyuanshen.equipment.domain.query;

import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/14
 **/
@Data
public class DeviceTypeQueryCriteria extends BaseEntity implements Serializable {

    @Schema(name = "设备类型id")
    private Long deviceTypeId;

    @Schema(name = "型号名称")
    private String typeName;

    @Schema(name = "所属客户")
    private Set<Long> customerIds;

    @Schema(name = "所属客户")
    private Long customerId;

    @Schema(name = "com.fuyuanshen")
    private Long tenantId;

    @Schema(name = "页码", example = "1")
    private Integer page = 1;

    @Schema(name = "每页数据量", example = "10")
    private Integer size = 10;

}
